Index: kernel/section/view.php
===================================================================
--- kernel/section/view.php	(revision 24945)
+++ kernel/section/view.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 
 $http = eZHTTPTool::instance();
 $SectionID = $Params["SectionID"];
@@ -41,7 +41,7 @@
     return $Module->handleError( eZError::KERNEL_NOT_AVAILABLE, 'kernel' );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( "view_parameters", $viewParameters );
 $tpl->setVariable( "section", $section );
Index: kernel/settings/edit.php
===================================================================
--- kernel/settings/edit.php	(revision 24945)
+++ kernel/settings/edit.php	(working copy)
@@ -25,14 +25,14 @@
 //
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
-require_once( "kernel/common/template.php" );
+
 $settingTypeArray = array( 'array' => 'Array',
                            'true/false' => 'True/False',
                            'enable/disable' => 'Enabled/Disabled',
                            'string' => 'String',
                            'numeric' => 'Numeric' );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 //$ini = eZINI::instance();
 
Index: kernel/settings/view.php
===================================================================
--- kernel/settings/view.php	(revision 24945)
+++ kernel/settings/view.php	(working copy)
@@ -26,9 +26,9 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $http = eZHTTPTool::instance();
 $ini = eZINI::instance();
 $siteAccessList = $ini->variable( 'SiteAccessSettings', 'RelatedSiteAccessList' );
Index: kernel/setup/cache.php
===================================================================
--- kernel/setup/cache.php	(revision 24945)
+++ kernel/setup/cache.php	(working copy)
@@ -29,9 +29,9 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance( );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $cacheList = eZCache::fetchList();
 
Index: kernel/setup/datatype.php
===================================================================
--- kernel/setup/datatype.php	(revision 24945)
+++ kernel/setup/datatype.php	(working copy)
@@ -28,9 +28,9 @@
 
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $steps = array( 'basic' => array( 'template' => 'datatype_basic.tpl',
                                   'function' => 'datatypeBasic' ),
Index: kernel/setup/extensions.php
===================================================================
--- kernel/setup/extensions.php	(revision 24945)
+++ kernel/setup/extensions.php	(working copy)
@@ -31,8 +31,8 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $extensionDir = eZExtension::baseDirectory();
 $availableExtensionArray = eZDir::findSubItems( $extensionDir, 'dl' );
Index: kernel/setup/info.php
===================================================================
--- kernel/setup/info.php	(revision 24945)
+++ kernel/setup/info.php	(working copy)
@@ -35,10 +35,10 @@
     eZExecution::cleanExit();
 }
 
-require_once( "kernel/common/template.php" );
+
 $http = eZHTTPTool::instance();
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $db = eZDB::instance();
 
 try
Index: kernel/setup/rad.php
===================================================================
--- kernel/setup/rad.php	(revision 24945)
+++ kernel/setup/rad.php	(working copy)
@@ -28,9 +28,9 @@
 
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $Result = array();
 $Result['content'] = $tpl->fetch( "design:setup/rad.tpl" );
Index: kernel/setup/session.php
===================================================================
--- kernel/setup/session.php	(revision 24945)
+++ kernel/setup/session.php	(working copy)
@@ -25,9 +25,9 @@
 //
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $sessionsRemoved = false;
 $gcSessionsCompleted = true;
 $http = eZHTTPTool::instance();
Index: kernel/setup/setupmenu.php
===================================================================
--- kernel/setup/setupmenu.php	(revision 24945)
+++ kernel/setup/setupmenu.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 
 $Module = $Params['Module'];
 
@@ -35,7 +35,7 @@
 $contentIni = eZINI::instance( 'content.ini' );
 
 $Module->setTitle( eZi18n::translate( 'kernel/setup', 'Setup menu' ) );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $Result = array();
 $Result['content'] = $tpl->fetch( 'design:setup/setupmenu.tpl' );
Index: kernel/setup/systemupgrade.php
===================================================================
--- kernel/setup/systemupgrade.php	(revision 24945)
+++ kernel/setup/systemupgrade.php	(working copy)
@@ -28,10 +28,10 @@
 
 $Module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 define( 'MD5_SUM_LIST_FILE', 'share/filelist.md5' );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'md5_result', false );
 $tpl->setVariable( 'upgrade_sql', false );
Index: kernel/setup/templateoperator.php
===================================================================
--- kernel/setup/templateoperator.php	(revision 24945)
+++ kernel/setup/templateoperator.php	(working copy)
@@ -28,9 +28,9 @@
 
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $ini = eZINI::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 /*
 - Name
Index: kernel/setup/steps/ezstep_registration.php
===================================================================
--- kernel/setup/steps/ezstep_registration.php	(revision 24945)
+++ kernel/setup/steps/ezstep_registration.php	(working copy)
@@ -150,8 +150,9 @@
             return true;
         }
 
-        require_once( 'kernel/common/template.php' );
-        $mailTpl = templateInit( 'email' );
+        
+        $mailTpl = eZTemplate::instanceInit();
+        $mailTpl->resetVariables();
         $comments = false;
         if ( $this->Http->hasPostVariable( 'eZSetupRegistrationComment' ) )
         {
@@ -187,8 +188,9 @@
             {
                 if ( $this->PersistenceList['email_info']['send'] )
                 {
-                    require_once( 'kernel/common/template.php' );
-                    $mailTpl = templateInit( 'email' );
+                    
+                    $mailTpl = eZTemplate::instanceInit();
+                    $mailTpl->resetVariables();
                     $bodyText = $this->generateRegistration( $mailTpl, $comments );
                     $subject = $mailTpl->variable( 'subject' );
 
@@ -219,9 +221,10 @@
 
     function display()
     {
-        require_once( 'kernel/common/template.php' );
+        
 
-        $mailTpl  = templateInit( 'email' );
+        $mailTpl = eZTemplate::instanceInit();
+        $mailTpl->resetVariables();
 
         $bodyText = $this->generateRegistration( $mailTpl, false );
         $send     = ( isset( $this->PersistenceList['email_info']['send'] ) )     ? $this->PersistenceList['email_info']['send'] : true;
Index: kernel/shop/archivelist.php
===================================================================
--- kernel/shop/archivelist.php	(revision 24945)
+++ kernel/shop/archivelist.php	(working copy)
@@ -26,10 +26,10 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $offset = $Params['Offset'];
 $limit = 50;
Index: kernel/shop/archiveorder.php
===================================================================
--- kernel/shop/archiveorder.php	(revision 24945)
+++ kernel/shop/archiveorder.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( "kernel/common/template.php" );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 $archiveIDArray = $http->sessionVariable( "OrderIDArray" );
Index: kernel/shop/basket.php
===================================================================
--- kernel/shop/basket.php	(revision 24945)
+++ kernel/shop/basket.php	(working copy)
@@ -29,7 +29,7 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
+
 $basket = eZBasket::currentBasket();
 $basket->updatePrices(); // Update the prices. Transaction not necessary.
 
@@ -308,7 +308,7 @@
 }
 $basket = eZBasket::currentBasket();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 if ( isset( $Params['Error'] ) )
 {
     $tpl->setVariable( 'error', $Params['Error'] );
Index: kernel/shop/checkout.php
===================================================================
--- kernel/shop/checkout.php	(revision 24945)
+++ kernel/shop/checkout.php	(working copy)
@@ -99,8 +99,8 @@
                 case eZModuleOperationInfo::STATUS_CANCELLED:
                 {
                     $Result = array();
-                    require_once( "kernel/common/template.php" );
-                    $tpl = templateInit();
+                    
+                    $tpl = eZTemplate::instanceInit();
 
                     $tpl->setVariable( 'operation_result', $operationResult );
 
@@ -136,8 +136,8 @@
                 if ( $attempt < 4)
                 {
                     $Result = array();
-                    require_once( "kernel/common/template.php" );
-                    $tpl = templateInit();
+                    
+                    $tpl = eZTemplate::instanceInit();
                     $tpl->setVariable( 'attempt', $attempt );
                     $tpl->setVariable( 'orderID', $orderID );
                     $Result['content'] = $tpl->fetch( "design:shop/checkoutagain.tpl" ) ;
@@ -151,8 +151,8 @@
                     $http->removeSessionVariable( "CheckoutAttempt" );
 
                     $Result = array();
-                    require_once( "kernel/common/template.php" );
-                    $tpl = templateInit();
+                    
+                    $tpl = eZTemplate::instanceInit();
                     $tpl->setVariable ("ErrorCode", "NO_CALLBACK");
                     $tpl->setVariable ("OrderID", $orderID);
 
Index: kernel/shop/confirmorder.php
===================================================================
--- kernel/shop/confirmorder.php	(revision 24945)
+++ kernel/shop/confirmorder.php	(working copy)
@@ -29,8 +29,8 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module_name", 'shop' );
 
 $orderID = $http->sessionVariable( 'MyTemporaryOrderID' );
Index: kernel/shop/currencylist.php
===================================================================
--- kernel/shop/currencylist.php	(revision 24945)
+++ kernel/shop/currencylist.php	(working copy)
@@ -29,7 +29,7 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 $offset = $Params['Offset'];
 
@@ -119,7 +119,7 @@
 
 $viewParameters = array( 'offset' => $offset );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'currency_list', $currencyList );
 $tpl->setVariable( 'currency_list_count', $currencyCount );
Index: kernel/shop/customerlist.php
===================================================================
--- kernel/shop/customerlist.php	(revision 24945)
+++ kernel/shop/customerlist.php	(working copy)
@@ -31,14 +31,14 @@
 /*! \file
 */
 
-require_once( "kernel/common/template.php" );
+
 
 $module = $Params["Module"];
 
 $offset = $Params['Offset'];
 $limit = 15;
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $http = eZHTTPTool::instance();
 
Index: kernel/shop/customerorderview.php
===================================================================
--- kernel/shop/customerorderview.php	(revision 24945)
+++ kernel/shop/customerorderview.php	(working copy)
@@ -34,11 +34,11 @@
 $CustomerID = $Params['CustomerID'];
 $Email = $Params['Email'];
 $module = $Params['Module'];
-require_once( "kernel/common/template.php" );
+
 
 $http = eZHTTPTool::instance();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $Email = urldecode( $Email );
 $productList = eZOrder::productList( $CustomerID, $Email );
Index: kernel/shop/discountgroup.php
===================================================================
--- kernel/shop/discountgroup.php	(revision 24945)
+++ kernel/shop/discountgroup.php	(working copy)
@@ -28,7 +28,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 
 $http = eZHTTPTool::instance();
@@ -67,7 +67,7 @@
     return;
 }
 $module->setTitle( "View discount group" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "discountgroup_array", $discountGroupArray );
 $tpl->setVariable( "module", $module );
 
Index: kernel/shop/discountgroupedit.php
===================================================================
--- kernel/shop/discountgroupedit.php	(revision 24945)
+++ kernel/shop/discountgroupedit.php	(working copy)
@@ -28,7 +28,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $discountGroupID = null;
 if ( isset( $Params["DiscountGroupID"] ) )
@@ -63,7 +63,7 @@
 }
 
 $module->setTitle( "Editing discount group" );
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module", $module );
 $tpl->setVariable( "discount_group", $discountGroup );
 
Index: kernel/shop/discountgroupmembershipview.php
===================================================================
--- kernel/shop/discountgroupmembershipview.php	(revision 24945)
+++ kernel/shop/discountgroupmembershipview.php	(working copy)
@@ -28,7 +28,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $discountGroupID = null;
 if ( isset( $Params["DiscountGroupID"] ) )
@@ -229,7 +229,7 @@
                    "limitation" => $limitation );
     $ruleArray[] = $item;
 }
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module", $module );
 $tpl->setVariable( "customers", $customers );
 $tpl->setVariable( "discountgroup", $discountGroup );
Index: kernel/shop/discountruleedit.php
===================================================================
--- kernel/shop/discountruleedit.php	(revision 24945)
+++ kernel/shop/discountruleedit.php	(working copy)
@@ -29,7 +29,7 @@
 // TODO: it was not in the original code, but we may consider to add support for "folder with products",
 //       not only products (i.e. objects with attribute of the ezprice datatype).
 
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 
 if ( !isset( $Params['DiscountGroupID'] ) )
@@ -279,7 +279,7 @@
 
 $sectionList = eZSection::fetchList();
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'module', $module );
 $tpl->setVariable( 'discountgroup_id', $discountGroupID );
Index: kernel/shop/editcurrency.php
===================================================================
--- kernel/shop/editcurrency.php	(revision 24945)
+++ kernel/shop/editcurrency.php	(working copy)
@@ -140,8 +140,8 @@
     $pathText = eZi18n::translate( 'kernel/shop', 'Create new currency' );
 }
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'error', $error );
 $tpl->setVariable( 'can_edit', $canEdit );
Index: kernel/shop/editvatrule.php
===================================================================
--- kernel/shop/editvatrule.php	(revision 24945)
+++ kernel/shop/editvatrule.php	(working copy)
@@ -219,8 +219,8 @@
 
 $vatTypes = eZVatType::fetchList( true, true );
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'error_header', $errorHeader );
 $tpl->setVariable( 'errors', $errors );
Index: kernel/shop/ezshopoperationcollection.php
===================================================================
--- kernel/shop/ezshopoperationcollection.php	(revision 24945)
+++ kernel/shop/ezshopoperationcollection.php	(working copy)
@@ -97,8 +97,8 @@
                            'You can either fill country manually in your account information (if you are a registered user) ' .
                            'or contact site administrator.' );
 
-            require_once( "kernel/common/template.php" );
-            $tpl = templateInit();
+            
+            $tpl = eZTemplate::instanceInit();
             $tpl->setVariable( "error_header",  $header );
             $tpl->setVariable( "error_list", array( $msg ) );
 
Index: kernel/shop/orderlist.php
===================================================================
--- kernel/shop/orderlist.php	(revision 24945)
+++ kernel/shop/orderlist.php	(working copy)
@@ -26,10 +26,10 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $offset = $Params['Offset'];
 $limit = 15;
Index: kernel/shop/orderstatistics.php
===================================================================
--- kernel/shop/orderstatistics.php	(revision 24945)
+++ kernel/shop/orderstatistics.php	(working copy)
@@ -31,7 +31,7 @@
 */
 
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $year = $Params['Year'];
 $month = $Params['Month'];
@@ -68,7 +68,7 @@
     $monthList[] = array( 'value' => $monthIndex, 'name' => $locale->longMonthName( $monthIndex ) );
 }
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "year", $year );
 $tpl->setVariable( "month", $month );
 $tpl->setVariable( "year_list", $yearList );
Index: kernel/shop/orderview.php
===================================================================
--- kernel/shop/orderview.php	(revision 24945)
+++ kernel/shop/orderview.php	(working copy)
@@ -28,7 +28,7 @@
 
 $OrderID = $Params['OrderID'];
 $module = $Params['Module'];
-require_once( "kernel/common/template.php" );
+
 
 $ini = eZINI::instance();
 $http = eZHTTPTool::instance();
@@ -79,7 +79,7 @@
 {
      return $module->handleError( eZError::KERNEL_ACCESS_DENIED, 'kernel' );
 }
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 
 $tpl->setVariable( "order", $order );
Index: kernel/shop/preferredcurrency.php
===================================================================
--- kernel/shop/preferredcurrency.php	(revision 24945)
+++ kernel/shop/preferredcurrency.php	(working copy)
@@ -29,8 +29,8 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $Result = array();
 $Result['path'] = array( array( 'text' => eZi18n::translate( 'kernel/shop', 'Preferred currency' ),
Index: kernel/shop/productcategories.php
===================================================================
--- kernel/shop/productcategories.php	(revision 24945)
+++ kernel/shop/productcategories.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 /*!
   Apply changes made to categories' names.
 
@@ -91,7 +91,7 @@
 
 $module = $Params['Module'];
 $http   = eZHTTPTool::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $errors = false;
 
 // Remove checked categories.
Index: kernel/shop/productsoverview.php
===================================================================
--- kernel/shop/productsoverview.php	(revision 24945)
+++ kernel/shop/productsoverview.php	(working copy)
@@ -29,7 +29,7 @@
 /*! \file
 */
 
-require_once( 'kernel/common/template.php' );
+
 $module = $Params['Module'];
 $offset = $Params['Offset'];
 $productClassIdentifier = $Params['ProductClass'];
@@ -87,7 +87,7 @@
 
 $viewParameters = array( 'offset' => $offset );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'product_class_list', $productClassList );
 $tpl->setVariable( 'product_class', $productClass );
 $tpl->setVariable( 'price_attribute_identifier', $priceAttributeIdentifier );
Index: kernel/shop/register.php
===================================================================
--- kernel/shop/register.php	(revision 24945)
+++ kernel/shop/register.php	(working copy)
@@ -29,8 +29,8 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 if ( $module->isCurrentAction( 'Cancel' ) )
 {
Index: kernel/shop/removeorder.php
===================================================================
--- kernel/shop/removeorder.php	(revision 24945)
+++ kernel/shop/removeorder.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( "kernel/common/template.php" );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 $deleteIDArray = $http->sessionVariable( "DeleteOrderIDArray" );
@@ -66,7 +66,7 @@
 
     $Module->setTitle( eZi18n::translate( 'shop', 'Remove orders' ) );
 
-    $tpl = templateInit();
+    $tpl = eZTemplate::instanceInit();
     $tpl->setVariable( "module", $Module );
     $tpl->setVariable( "delete_result", $orderNumbersString );
     $Result = array();
Index: kernel/shop/setstatus.php
===================================================================
--- kernel/shop/setstatus.php	(revision 24945)
+++ kernel/shop/setstatus.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $http = eZHTTPTool::instance();
 $user = eZUser::currentUser();
Index: kernel/shop/status.php
===================================================================
--- kernel/shop/status.php	(revision 24945)
+++ kernel/shop/status.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $http = eZHTTPTool::instance();
 $messages = array();
@@ -94,7 +94,7 @@
 
 $orderStatusArray = eZOrderStatus::fetchList( true, true );
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "orderstatus_array", $orderStatusArray );
 $tpl->setVariable( "module", $module );
 $tpl->setVariable( "messages", $messages );
Index: kernel/shop/unarchiveorder.php
===================================================================
--- kernel/shop/unarchiveorder.php	(revision 24945)
+++ kernel/shop/unarchiveorder.php	(working copy)
@@ -31,7 +31,7 @@
 /*! \file
 */
 
-require_once( "kernel/common/template.php" );
+
 $Module = $Params['Module'];
 $http = eZHTTPTool::instance();
 $orderIDArray = $http->sessionVariable( "OrderIDArray" );
Index: kernel/shop/userregister.php
===================================================================
--- kernel/shop/userregister.php	(revision 24945)
+++ kernel/shop/userregister.php	(working copy)
@@ -29,8 +29,8 @@
 $http = eZHTTPTool::instance();
 $module = $Params['Module'];
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 if ( $module->isCurrentAction( 'Cancel' ) )
 {
Index: kernel/shop/vatrules.php
===================================================================
--- kernel/shop/vatrules.php	(revision 24945)
+++ kernel/shop/vatrules.php	(working copy)
@@ -26,7 +26,7 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 /**
  * Find errors in VAT charging rules.
  *
@@ -162,7 +162,7 @@
 
 $module = $Params['Module'];
 $http   = eZHTTPTool::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 if ( $http->hasPostVariable( "AddRuleButton" ) )
 {
Index: kernel/shop/vattype.php
===================================================================
--- kernel/shop/vattype.php	(revision 24945)
+++ kernel/shop/vattype.php	(working copy)
@@ -28,10 +28,10 @@
 // ## END COPYRIGHT, LICENSE AND WARRANTY NOTICE ##
 //
 
-require_once( "kernel/common/template.php" );
+
 $module = $Params['Module'];
 $http = eZHTTPTool::instance();
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 $errors = false;
 
 /*!
Index: kernel/shop/wishlist.php
===================================================================
--- kernel/shop/wishlist.php	(revision 24945)
+++ kernel/shop/wishlist.php	(working copy)
@@ -240,9 +240,9 @@
         return;
     }
 }
-require_once( "kernel/common/template.php" );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $wishList = eZWishList::currentWishList();
 
Index: kernel/state/assign.php
===================================================================
--- kernel/state/assign.php	(revision 24945)
+++ kernel/state/assign.php	(working copy)
@@ -67,8 +67,8 @@
     // '/state/assign/<object_id>'
     if ( ( $object = eZContentObject::fetch( $objectID ) ) !== null  )
     {
-        require_once( 'kernel/common/template.php' );
-        $tpl = templateInit();
+        
+        $tpl = eZTemplate::instanceInit();
         $tpl->setVariable( 'node', $object->attribute( 'main_node' ) );
         $Result['content'] = $tpl->fetch( 'design:state/assign.tpl' );
     }
Index: kernel/state/edit.php
===================================================================
--- kernel/state/edit.php	(revision 24945)
+++ kernel/state/edit.php	(working copy)
@@ -49,9 +49,9 @@
 }
 
 $redirectUrl = "state/group/$GroupIdentifier";
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $currentAction = $Module->currentAction();
 
Index: kernel/state/group.php
===================================================================
--- kernel/state/group.php	(revision 24945)
+++ kernel/state/group.php	(working copy)
@@ -36,9 +36,9 @@
     return $Module->handleError( eZError::KERNEL_NOT_FOUND, 'kernel' );
 }
 
-require_once 'kernel/common/template.php';
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $currentAction = $Module->currentAction();
 
Index: kernel/state/group_edit.php
===================================================================
--- kernel/state/group_edit.php	(revision 24945)
+++ kernel/state/group_edit.php	(working copy)
@@ -40,9 +40,9 @@
     return $Module->handleError( eZError::KERNEL_ACCESS_DENIED, 'kernel' );
 }
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $currentAction = $Module->currentAction();
 
Index: kernel/state/groups.php
===================================================================
--- kernel/state/groups.php	(revision 24945)
+++ kernel/state/groups.php	(working copy)
@@ -40,9 +40,9 @@
 
 $languages = eZContentLanguage::fetchList();
 
-require_once( 'kernel/common/template.php' );
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 eZDebug::writeDebug( $Module->currentAction() );
 if ( $Module->isCurrentAction( 'Remove' ) && $Module->hasActionParameter( 'RemoveIDList' ) )
Index: kernel/state/view.php
===================================================================
--- kernel/state/view.php	(revision 24945)
+++ kernel/state/view.php	(working copy)
@@ -56,9 +56,9 @@
     $state->setCurrentLanguage( $LanguageCode );
 }
 
-require_once 'kernel/common/template.php';
 
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( 'group', $group );
 $tpl->setVariable( 'state', $state );
 
Index: kernel/trigger/list.php
===================================================================
--- kernel/trigger/list.php	(revision 24945)
+++ kernel/trigger/list.php	(working copy)
@@ -36,7 +36,7 @@
     return $triggerArray;
 }
 
-require_once( 'kernel/common/template.php' );
+
 $http = eZHTTPTool::instance();
 
 $Module = $Params['Module'];
@@ -168,7 +168,7 @@
 }
 
 
-$tpl = templateInit();
+$tpl = eZTemplate::instanceInit();
 
 $triggers = eZTrigger::fetchList( array(
                                        'module' => $moduleName,
Index: kernel/url/edit.php
===================================================================
--- kernel/url/edit.php	(revision 24945)
+++ kernel/url/edit.php	(working copy)
@@ -69,8 +69,8 @@
 $Module->setTitle( "Edit link " . $url->attribute( "id" ) );
 
 // Template handling
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( "Module", $Module );
 $tpl->setVariable( "url", $url );
Index: kernel/url/list.php
===================================================================
--- kernel/url/list.php	(revision 24945)
+++ kernel/url/list.php	(working copy)
@@ -101,8 +101,8 @@
 
 $viewParameters = array( 'offset' => $offset, 'limit'  => $limit );
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'view_parameters', $viewParameters );
 $tpl->setVariable( 'url_list', $list );
Index: kernel/url/view.php
===================================================================
--- kernel/url/view.php	(revision 24945)
+++ kernel/url/view.php	(working copy)
@@ -107,8 +107,8 @@
     }
 }
 
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'Module', $Module );
 $tpl->setVariable( 'url_object', $url );
Index: kernel/user/activate.php
===================================================================
--- kernel/user/activate.php	(revision 24945)
+++ kernel/user/activate.php	(working copy)
@@ -97,8 +97,8 @@
 }
 
 // Template handling
-require_once( 'kernel/common/template.php' );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 
 $tpl->setVariable( 'module', $Module );
 $tpl->setVariable( 'account_activated', $accountActivated );
Index: kernel/user/edit.php
===================================================================
--- kernel/user/edit.php	(revision 24945)
+++ kernel/user/edit.php	(working copy)
@@ -93,8 +93,8 @@
     return $Module->handleError( eZError::KERNEL_ACCESS_DENIED, 'kernel' );
 }
 
-require_once( "kernel/common/template.php" );
-$tpl = templateInit();
+
+$tpl = eZTemplate::instanceInit();
 $tpl->setVariable( "module", $Module );
 $tpl->setVariable( "http", $http );
 $tpl->setVariable( "userID", $UserID );
